Name: blitz
Summary: C++ class library for scientific computing
Version: 0.9
Release: alt1.cvs20090702
Group: Sciences/Mathematics
License: LGPL v2.1
URL: http://www.oonumerics.org/blitz/
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

# cvs -z3 -d:pserver:anonymous@blitz.cvs.sourceforge.net:/cvsroot/blitz co -P blitz
Source: %name-%version.tar.gz

Requires: lib%name = %version-%release

BuildPreReq: gcc-c++ gcc-fortran libatlas-devel liblapack-devel
BuildPreReq: doxygen graphviz

%description
Blitz++ is a C++ class library for scientific computing which provides
performance on par with Fortran 77/90. It uses template techniques to achieve
high performance. Blitz++ provides dense arrays and vectors, random number
generators, and small vectors.

%package -n lib%name
Summary: Shared libraries of Blitz++
Group: System/Libraries

%description -n lib%name
Blitz++ is a C++ class library for scientific computing which provides
performance on par with Fortran 77/90. It uses template techniques to achieve
high performance. Blitz++ provides dense arrays and vectors, random number
generators, and small vectors.

This package contains shared libraries of Blitz++.

%package -n lib%name-devel
Summary: Development files of Blitz++
Group: Development/C++
Requires: lib%name = %version-%release

%description -n lib%name-devel
Blitz++ is a C++ class library for scientific computing which provides
performance on par with Fortran 77/90. It uses template techniques to achieve
high performance. Blitz++ provides dense arrays and vectors, random number
generators, and small vectors.

This package contains development files of Blitz++.

%package -n lib%name-devel-static
Summary: Static library of Blitz++
Group: Development/C++
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
Blitz++ is a C++ class library for scientific computing which provides
performance on par with Fortran 77/90. It uses template techniques to achieve
high performance. Blitz++ provides dense arrays and vectors, random number
generators, and small vectors.

This package contains static library of Blitz++.

%package -n lib%name-devel-doc
Summary: Documentation for Blitz++
Group: Development/Documentation
BuildArch: noarch

%description -n lib%name-devel-doc
Blitz++ is a C++ class library for scientific computing which provides
performance on par with Fortran 77/90. It uses template techniques to achieve
high performance. Blitz++ provides dense arrays and vectors, random number
generators, and small vectors.

This package contains development documentation for Blitz++.

%package examples
Summary: Examples for Blitz++
Group: Development/Documentation
BuildArch: noarch

%description examples
Blitz++ is a C++ class library for scientific computing which provides
performance on par with Fortran 77/90. It uses template techniques to achieve
high performance. Blitz++ provides dense arrays and vectors, random number
generators, and small vectors.

This package contains examples for Blitz++.

%prep
%setup

%build
%autoreconf
%configure \
%ifarch x86_64
	--enable-64bit \
%endif
	--enable-shared \
	--enable-optimize \
	--enable-threadsafe \
	--enable-fortran \
	--with-blas=%prefix
%make_build
%make info

%install
%makeinstall_std
%make_install DESTDIR=%buildroot install-info

mv %buildroot%_docdir/%name-%version %buildroot%_docdir/%name
cp -fR examples %buildroot%_docdir/%name/

bzip2 ChangeLog

%files
%doc AUTHORS COPYING COPYRIGHT ChangeLog.* LEGAL LICENSE README TODO
%_infodir/*

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_libdir/*.so
%_includedir/*
%_pkgconfigdir/*

%files -n lib%name-devel-static
%_libdir/*.a

%files -n lib%name-devel-doc
%doc %dir %_docdir/%name
%doc %_docdir/%name/*
%exclude %_docdir/%name/examples

%files examples
%doc %dir %_docdir/%name
%_docdir/%name/examples

%changelog
* Tue Jul 07 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.9-alt1.cvs20090702
- Initial build for Sisyphus

